---
title: color-profile
slug: Web/SVG/Attribute/color-profile
tags:
  - Deprecated
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}{{Deprecated_Header("SVG2")}}</div>

<p>The <strong><code>color-profile</code></strong> attribute is used to define which color profile a raster image included through the {{SVGElement("image")}} element should use.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>color-profile</code> can be used as a CSS property.</p>

<p>As a presentation attribute, it can be applied to any element but it only has an effect on the following element: {{SVGElement("image")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>auto</code> | <code>sRGB</code> | <code>&lt;name&gt;</code> | <code><a href="/en-US/docs/Web/SVG/Content_type#IRI">&lt;iri&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>auto</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>auto</code></dt>
 <dd>All colors are presumed to be defined in the sRGB color space unless a more precise embedded profile is specified within content data. For images that do have a profile built into their data, that profile is used. For images that do not have a profile, the sRGB profile is used.</dd>
 <dt><code>sRGB</code></dt>
 <dd>The source profile is assumed to be sRGB. This differs from auto in that it overrides an embedded profile inside an image.</dd>
 <dt><code>&lt;name&gt;</code></dt>
 <dd>A name corresponding to a defined color profile that is in the browser's color profile description database. The browser searches the color profile description database for a color profile description entry whose name descriptor matches <code>&lt;name&gt;</code> and uses the last matching entry that is found. If a match is found, the corresponding profile overrides an embedded profile inside an image. If no match is found, then the embedded profile inside the image is used.</dd>
 <dt><code>&lt;iri&gt;</code></dt>
 <dd>An IRI reference to the source color profile. The referenced color profile overrides an embedded profile inside the image.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "color.html#ColorProfileProperty", "color-profile")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.color-profile")}}</p>
